<script>
 var miPopup
		function modificar(codarticulo){
			miPopup = window.open("modificar.php?codarticulo=" + codarticulo + "&cadena_busqueda=<? echo $cadena_busqueda?>","miwin","width=900,height=650,scrollbars=yes");
			miPopup.focus();
		}
		function borrar(codarticulo){
			miPopup = window.open("borrar.php?codarticulo=" + codarticulo + "&cadena_busqueda=<? echo $cadena_busqueda?>","miwin","width=700,height=650,scrollbars=yes");
			miPopup.focus();
		}
</script>
<?php
   //Invocamos o cargamos el escript de conexion
   require_once("../../../conf/connection.php");
   
   //Cargamos las variables con los datos proporcionados si existen!
  $patron=stripslashes($_POST["patron"]);
  $opcion=stripslashes($_POST["opcion"]);
  $sucu=stripslashes($_POST["sucu"]);
  $nombreuser=stripslashes($_POST["nombreuser"]);

   //Si nos mandaron datos?
   if(isset($patron) && isset($opcion))
   {
	   //Si patron=1 entonces la busqueda sera por la identidad
	   if($opcion==1)
	   {
		   //El asteriscon el la consulta indica todos los campos de la tabla productor
		   //el operador like indica que sera un patron de cadena a buscar
		   //para encontrar una coincidencia!
		   $buscar='select * from articulos 
		   where referencia like \'%'.$patron.'%\'';
		   $r=mysql_query($buscar,$conn) or die("Error en el query: ".mysql_error());
		   $n=mysql_num_rows($r);
		   
		   //sumar totales 
		    $query_unit='SELECT *, sum(stock) as total_stock, sum(precio_tienda) as total_venta, sum(precio_compra) as total_compra,
			sum(precio_tienda*stock) as venta, sum(precio_compra*stock) as compra
			FROM  articulos where  referencia like \'%'.$patron.'%\' GROUP by obs ';
			$res_unit=mysql_query($query_unit);
			
			$nr_pro=mysql_num_rows($res_unit);
		      if($nr_pro<>0){
			$total_stock=mysql_result($res_unit,0,"total_stock");
			$total_venta=mysql_result($res_unit,0,"total_venta");
			$total_compra=mysql_result($res_unit,0,"total_compra");
			
			//multiplicar valores
			
			$venta=mysql_result($res_unit,0,"venta");
			$compra=mysql_result($res_unit,0,"compra");
			
			} 
			
		   
		    //si hay registros los procesamos
			if($n>0)
			{
			?>
<table  width="833" border="0">
  <tr bgcolor="#69BFE0" >
    <td width="40">COD</td>
    <td width="138">DESCRIPCION</td>
    <td width="73">FECHA DE INGRESO</td>
    <td width="77">STOCK</td>
    <td width="62">STOCK MINIMO</td>
    <td width="87">PRECIO VENTA UNITARIO</td>
    <td width="85">PRECIO COMPRA UNITARIO</td>
    <td bgcolor="#FF0000">TOTAL VENTAS</td>
    <td width="79" bgcolor="#FF0000">TOTAL COMPRAS</td>
    <td>&nbsp;</td>
    <td>&nbsp;</td>
  </tr>
  <?
				while($row=mysql_fetch_assoc($r))
				{ //Procesamos cada registro como una fila de tabla
					
					?>
  <tr>
    <?
					//$row["nomCampo"] estos nomCampo son los campos devueltos por el
					//query en la variable $r que procesa mysql_fetch_assoc
					?>
    <td><? echo  $row["referencia"] ?></td>
    <td><? echo $row["descripcion"] ?></td>
    <td><? echo $row["fecha_alta"] ?></td>
    <td><? if($row["stock"]<="0"){?>
      <font color="#FF0000"> <? echo $row["stock"];  ?></font>
      <? }else{ echo $row["stock"]; }   ?></td>
    <td><? echo $row["stock_minimo"] ?></td>
    <td><? echo $row["precio_tienda"] ?></td>
    <td><? echo $row["precio_compra"] ?></td>
    <td width="97" align="right">
    <?
    $sto_pro=$row["stock"];
    $precio_tienda_pro=$row["precio_tienda"];
    $total_venta_pro=$sto_pro*$precio_tienda_pro;
    
	$total_venta_lv=$total_venta_pro+$total_venta_pro;
	
	echo number_format($total_venta_pro, 0, ',', '.');
	?>
    
    
   </td>
    <td align="right">
    <?
    $precio_compra_pro=$row["precio_compra"];
    $total_compra_pro=$sto_pro*$precio_compra_pro;
    echo number_format($total_compra_pro, 0, ',', '.');
    ?>
	</td>
    <td width="25" align="right"><a href="#"><img src="../../images/modificar.png" alt="Modificar" width="16" height="16" onclick="modificar('<? echo  $row["referencia"] ?>')" /></a></td>
    <td width="24" align="right"><a href="#"><img src="../../images/delete.png" alt="Eliminar" width="16" height="16" / onClick="borrar('<? echo  $row["referencia"] ?>')" /></a></td>
  </tr>
  <? }?>
  <tr bgcolor="#69BFE0" >
    <td></td>
    <td>Total </td>
    <td>&nbsp;</td>
    <td width="77"><? echo  number_format($total_stock, 2, ',', '.');?></td>
    <td width="62"></td>
    <td width="87"><? echo  number_format($total_venta, 0, ',', '.'); ?></td>
    <td width="85"><? echo  number_format($total_compra, 0, ',', '.'); ?></td>
    <td bgcolor="#FF0000"><? echo  number_format($venta, 0, ',', '.'); ?></td>
    <td bgcolor="#FF0000"><? echo  number_format($compra, 0, ',', '.'); ?></td>
    <td>&nbsp;</td>
    <td>&nbsp;</td>
  </tr>
</table>
<br>
				Resultados!
			<? } 
			else
			{
				echo "No hubieron coincidencias!";
			}
	   }
	   
	  //Si patron=2 entonces la busqueda sera por la nombres
	   if($opcion==2)
	   {
		   $patron=strtoupper($patron);
		   //El asteriscon el la consulta indica todos los campos de la tabla personas
		   //el operador like indica que sera un patron de cadena a buscar
		   //para encontrar una coincidencia!
		     $buscar='select * from articulos where  descripcion like \'%'.$patron.'%\'';
		   $r=mysql_query($buscar,$conn) or die("Error en el query: ".mysql_error());
		   $n=mysql_num_rows($r);
		   
		   
		   //sumar totales 
		    $query_unit='SELECT *, sum(stock) as total_stock, sum(precio_tienda) as total_venta, sum(precio_compra) as total_compra, 
			sum(precio_tienda*stock) as venta, sum(precio_compra*stock) as compra 
			FROM  articulos where  descripcion like \'%'.$patron.'%\' GROUP by obs ';
			$res_unit=mysql_query($query_unit);
			
			$nr_pro=mysql_num_rows($res_unit);
		      if($nr_pro<>0){
			$total_stock=mysql_result($res_unit,0,"total_stock");
			$total_venta=mysql_result($res_unit,0,"total_venta");
			$total_compra=mysql_result($res_unit,0,"total_compra");
			
			//multiplicar valores
			
			$venta=mysql_result($res_unit,0,"venta");
			$compra=mysql_result($res_unit,0,"compra");
			
			} 
		    //si hay registros los procesamos
			if($n>0)
			{
				?>
			<table  width="832" border="0">
			  <tr bgcolor="#69BFE0" >
			    <td width="44">COD</td>
			    <td width="141">DESCRIPCION</td>
			    <td width="76">FECHA DE INGRESO</td>
			    <td width="89">STOCK</td>
			    <td width="62">STOCK MINIMO</td>
			    <td width="93">PRECIO VENTA UNITARIO</td>
			    <td width="90">PRECIO COMPRA UNITARIO</td>
			    <td bgcolor="#FF0000">TOTAL VENTAS</td>
			    <td width="81" bgcolor="#FF0000">TOTAL COMPRAS</td>
			    <td>&nbsp;</td>
			    <td>&nbsp;</td>
		      </tr>
			  <?
				while($row=mysql_fetch_assoc($r))
				{ //Procesamos cada registro como una fila de tabla
					
					?>
			  <tr>
			    <?
					//$row["nomCampo"] estos nomCampo son los campos devueltos por el
					//query en la variable $r que procesa mysql_fetch_assoc
					?>
			    <td><? echo  $row["referencia"] ?></td>
			    <td><? echo $row["descripcion"] ?></td>
			    <td><? echo $row["fecha_alta"] ?></td>
			    <td><? if($row["stock"]<="0"){?>
			      <font color="#FF0000"> <? echo $row["stock"];  ?></font>
			      <? }else{ echo $row["stock"]; }   ?></td>
			    <td><? echo $row["stock_minimo"] ?></td>
			    <td><? echo $row["precio_tienda"] ?></td>
			    <td><? echo $row["precio_compra"] ?></td>
			    <td width="90" align="right"><?
    $sto_pro=$row["stock"];
    $precio_tienda_pro=$row["precio_tienda"];
    $total_venta_pro=$sto_pro*$precio_tienda_pro;
    
	$total_venta_lv=$total_venta_pro+$total_venta_pro;
	
	echo number_format($total_venta_pro, 0, ',', '.');
	?></td>
			    <td align="right"><?
    $precio_compra_pro=$row["precio_compra"];
    $total_compra_pro=$sto_pro*$precio_compra_pro;
    echo number_format($total_compra_pro, 0, ',', '.');
    ?></td>
			    <td width="30" align="right"><a href="#"><img src="../../images/modificar.png" alt="Modificar" width="16" height="16" onclick="modificar('<? echo  $row["referencia"] ?>')" /></a></td>
			    <td width="24" align="right"><a href="#"><img src="../../images/delete.png" alt="Eliminar" width="16" height="16" / onClick="borrar('<? echo  $row["referencia"] ?>')" /></a></td>
		      </tr>
			  <? }?>
			  <tr bgcolor="#69BFE0" >
			    <td></td>
			    <td>Total </td>
			    <td>&nbsp;</td>
			    <td width="89"><? echo  number_format($total_stock, 2, ',', '.');?></td>
			    <td width="62"></td>
			    <td width="93"><? echo  number_format($total_venta, 0, ',', '.'); ?></td>
			    <td width="90"><? echo  number_format($total_compra, 0, ',', '.'); ?></td>
			    <td bgcolor="#FF0000"><? echo  number_format($venta, 0, ',', '.'); ?></td>
			    <td bgcolor="#FF0000"><? echo  number_format($compra, 0, ',', '.'); ?></td>
			    <td>&nbsp;</td>
			    <td>&nbsp;</td>
		      </tr>
</table>
			<br>
				Resultados!
			<? } 
			else
			{
				echo "No hubieron coincidencias!";
			}
	   }
	   
	   //Si patron=3 entonces la busqueda sera por la apellidos
	   if($opcion==3)
	   {
		   $patron=strtoupper($patron);
		   //El asteriscon el la consulta indica todos los campos de la tabla personas
		   //el operador like indica que sera un patron de cadena a buscar
		   //para encontrar una coincidencia!
		   $buscar='select * from articulos where sucu='.$sucu.' AND codfamilia like \'%'.$patron.'%\'';
		   $r=mysql_query($buscar,$conn) or die("Error en el query: ".mysql_error());
		   $n=mysql_num_rows($r);
		    //si hay registros los procesamos
			if($n>0)
			{
				?><br>
				Resultados!
			<? } 
			else
			{
				echo "No hubieron coincidencias!";
			}
	   }
   }
    else
   {
	   echo "No han sido enviados datos para consultar aun!";
   }
?>